com.sun.java.xml.ns.javaee

## Class SecurityRoleType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.SecurityRoleType

-     public class SecurityRoleType
      extends Object

  [ The security-roleType contains the definition of a security role. The definition consists of an optional description of the security role, and the security role name. Example: This role includes all employees who are authorized to access the employee service application. employee

  Java-Klasse für security-roleType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="security-roleType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="role-name" type="{http://java.sun.com/xml/ns/javaee}role-nameType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected RoleNameType` | `roleName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityRoleType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `RoleNameType` | `getRoleName()` Ruft den Wert der roleName-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setRoleName(RoleNameType value)` Legt den Wert der roleName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### roleName

          protected RoleNameType roleName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SecurityRoleType

          public SecurityRoleType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getRoleName

          public RoleNameType getRoleName()

      Ruft den Wert der roleName-Eigenschaft ab.
      Returns:
        possible object is `RoleNameType`

    - #### setRoleName

          public void setRoleName(RoleNameType value)

      Legt den Wert der roleName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `RoleNameType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.